
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

Summary: A set of audio plugins for LADSPA
Name: swh-plugins
Version: 0.4.17
Release: %mkrel 1
License: GPL
Group: Sound
Source: http://plugin.org.uk/releases/%version/%name-%version.tar.xz
# reverse or ...
#Patch: swh-plugins-0.4.4-build.patch
BuildRoot: %_tmppath/%{name}-buildroot
BuildRequires: ladspa-devel fftw-devel
URL: http://plugin.org.uk/

%description
A set of audio plugins for LADSPA (see http://plugin.org.uk/ for more
details).

%prep
%setup -q
autoreconf -i
#%patch -p1
%apply_patches

%build
%configure2_5x
%make CFLAGS="%optflags -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#%if %_lib != lib
#mv %buildroot%_prefix/lib %buildroot%_libdir
#%endif

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%_libdir/ladspa/*.so
%dir %_datadir/ladspa/
%dir %_datadir/ladspa/rdf/
%_datadir/ladspa/rdf/*.rdf


%changelog
* Sun Jan 30 2022  onkelho <oh.quait at gmail.com> - 0.4.17-1pclos2022
- new version  released as bugfix-only-release on Nov. 01. 2016
- from http://plugin.org.uk/ linked to
- - https://github.com/swh/ladspa/releases/tag/v0.4.17

* Wed Nov 23 2011 Texstar <texstar at gmail.com> 0.4.15-3pclos2011
- update for 32/64
